webpackJsonp([15],{

/***/ 392:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OnlineradioPageModule", function() { return OnlineradioPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(59);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__onlineradio__ = __webpack_require__(419);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var OnlineradioPageModule = (function () {
    function OnlineradioPageModule() {
    }
    return OnlineradioPageModule;
}());
OnlineradioPageModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["a" /* NgModule */])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__onlineradio__["a" /* OnlineradioPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__onlineradio__["a" /* OnlineradioPage */]),
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__onlineradio__["a" /* OnlineradioPage */]
        ]
    })
], OnlineradioPageModule);

//# sourceMappingURL=onlineradio.module.js.map

/***/ }),

/***/ 419:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OnlineradioPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__providers_lmp_lmp__ = __webpack_require__(116);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(59);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var OnlineradioPage = (function () {
    function OnlineradioPage(navCtrl, navParams, lmpProvider) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.lmpProvider = lmpProvider;
        this.teams = [];
        this.radios = [];
        this.spinner = false;
        lmpProvider.getTeams().subscribe(function (teams) {
            _this.teams = teams["response"];
            if (_this.teams != []) {
                _this.getRadiosformated();
            }
        });
    }
    OnlineradioPage.prototype.getRadiosformated = function () {
        var _this = this;
        this.lmpProvider.getRadios().subscribe(function (radios) {
            for (var index = 0; index < _this.teams.length; index++) {
                for (var position in radios['response']) {
                    if (position == _this.teams[index].id) {
                        _this.radios.push({
                            'id': _this.teams[index].id,
                            'icon': _this.teams[index].icon,
                            'text': _this.teams[index].text,
                            'radio': radios['response'][position].link
                        });
                    }
                }
            }
            //console.log(this.radios)
            _this.spinner = true;
        });
    };
    OnlineradioPage.prototype.doRefresh = function (refresher) {
        console.log('Begin async operation', refresher);
        setTimeout(function () {
            console.log('Async operation has ended');
            refresher.complete();
        }, 2000);
    };
    return OnlineradioPage;
}());
OnlineradioPage = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["e" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1__angular_core__["_6" /* Component */])({
        selector: 'page-onlineradio',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/lmp2018/src/pages/onlineradio/onlineradio.html"*/'<ion-header>\n  <ion-navbar color="alterno">\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>Radio en línea</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content text-center class="background">\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n      <ion-refresher-content\n          pullingIcon="arrow-dropright-circle"\n          pulling\n          pullingText="Pull to refresh"\n          refreshingSpinner="circles"\n          refreshingText="Actualizando...">\n      </ion-refresher-content>\n  </ion-refresher>\n\n  <ion-spinner name="circles" color="light" *ngIf="!spinner"></ion-spinner>\n  <div *ngIf="spinner">\n    <ion-card class="background" *ngFor="let t of radios">\n      <table>\n        <tbody>\n          <tr>\n            <td>\n              <ion-item color="alterno">\n                <ion-avatar item-start>\n                  <img src="assets/img/{{t.id}}.png">\n                </ion-avatar>\n                {{t.text}}\n              </ion-item>\n            </td>\n          </tr>\n          <tr>\n            <td>\n              <audio controls="controls">\n                <source src=\'{{t.radio}}\' type="audio/mpeg">\n              </audio>\n            </td>\n          </tr>\n        </tbody>\n      </table>\n    </ion-card>\n  </div>\n  \n  <a href="mailto:soporte@somos.mx?Subject=Mensaje%20desde%20LMP%20app">\n      <button ion-button full color="default" class="alterno">\n          <ion-icon name="mail" class="credits"></ion-icon> Desarrollado por: SOMOS Multimedia® \n      </button>\n  </a>\n\n</ion-content>\n<ion-footer class="alterno"><br/><br/><br/></ion-footer>'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/lmp2018/src/pages/onlineradio/onlineradio.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_0__providers_lmp_lmp__["a" /* LmpProvider */]])
], OnlineradioPage);

//# sourceMappingURL=onlineradio.js.map

/***/ })

});
//# sourceMappingURL=15.main.js.map