webpackJsonp([11],{

/***/ 396:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RosterPageModule", function() { return RosterPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(59);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__roster__ = __webpack_require__(423);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var RosterPageModule = (function () {
    function RosterPageModule() {
    }
    return RosterPageModule;
}());
RosterPageModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["a" /* NgModule */])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__roster__["a" /* RosterPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__roster__["a" /* RosterPage */]),
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__roster__["a" /* RosterPage */]
        ]
    })
], RosterPageModule);

//# sourceMappingURL=roster.module.js.map

/***/ }),

/***/ 423:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RosterPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(59);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_lmp_lmp__ = __webpack_require__(116);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the RosterPage page.
 *
 * See http://ionicframework.com/docs/components/#navigation for more info
 * on Ionic pages and navigation.
 */
var RosterPage = (function () {
    function RosterPage(navCtrl, navParams, lmpProvider) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.lmpProvider = lmpProvider;
        this.roster = "players";
        this.team = [];
        this.spinner = false;
        var id = this.navParams.get('id');
        lmpProvider.getRoster(this.getTeamId(id)).subscribe(function (team) {
            _this.team = [];
            _this.team = team['response'];
            _this.spinner = true;
        });
    }
    RosterPage.prototype.getTeamId = function (team) {
        switch (team) {
            case "mxc":
                team = "aguilas";
                break;
            case "nav":
                team = "mayos";
                break;
            case "jal":
                team = "charros";
                break;
            case "cul":
                team = "tomateros";
                break;
            case "maz":
                team = "venados";
                break;
            case "obr":
                team = "yaquis";
                break;
            case "her":
                team = "naranjeros";
                break;
            default:
                team = "caneros";
                break;
        }
        return team;
    };
    RosterPage.prototype.openPlayer = function (position, player_id) {
        var tb = "";
        if (position == "Pitcher") {
            tb = "pitchers";
        }
        else {
            tb = "batters";
        }
        this.navCtrl.push('PlayerPage', {
            tb: tb,
            position: position,
            player_id: player_id,
            team: this.team['Support'],
            team_name: this.team['team_name'][0]['name']
        });
    };
    RosterPage.prototype.doRefresh = function (refresher) {
        console.log('Begin async operation', refresher);
        setTimeout(function () {
            console.log('Async operation has ended');
            refresher.complete();
        }, 2000);
    };
    return RosterPage;
}());
RosterPage = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_6" /* Component */])({
        selector: 'page-roster',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/lmp2018/src/pages/roster/roster.html"*/'<ion-header>\n  <ion-navbar color="alterno">\n     <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>Roster</ion-title>\n  </ion-navbar>\n\n  <ion-toolbar color="alterno">\n    <ion-segment [(ngModel)]="roster" color="light">\n      <ion-segment-button value="players">\n        Jugadores\n      </ion-segment-button>\n      <ion-segment-button value="cuerpotecnico">\n        Cuerpo Técnico\n      </ion-segment-button>\n    </ion-segment>\n  </ion-toolbar>\n</ion-header>\n\n\n<ion-content class="background">\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n      <ion-refresher-content\n          pullingIcon="arrow-dropright-circle"\n          pulling\n          pullingText="Pull to refresh"\n          refreshingSpinner="circles"\n          refreshingText="Actualizando...">\n      </ion-refresher-content>\n  </ion-refresher>\n\n  <ion-spinner name="circles" color="light" *ngIf="!spinner"></ion-spinner>\n  <div *ngIf="spinner">\n    <div [ngSwitch]="roster">\n      <ion-list *ngSwitchCase="\'players\'">\n        <ion-item-group>\n          <ion-item-divider color="alterno"><b>Pitchers</b></ion-item-divider>\n          <ion-item *ngFor="let p of team.Pitcher" class="background" (click)="openPlayer(p.position,p.milb_id)">\n            <!--<ion-avatar item-start>\n              <img src="assets/img/MARCO_CARRILLO.jpg">\n            </ion-avatar>-->\n            <h2 text-wrap>{{p.name}}</h2>\n            <p>{{p.nacionality}}</p>\n            <ion-note item-end>{{p.jersey}}</ion-note>\n          </ion-item>\n        </ion-item-group>\n\n        <ion-item-group>\n          <ion-item-divider color="alterno"><b>Catchers</b></ion-item-divider>\n          <ion-item *ngFor="let c of team.Catcher" class="background" (click)="openPlayer(c.position,c.milb_id)">\n            <!--<ion-avatar item-start>\n              <img src="assets/img/MARCO_CARRILLO.jpg">\n            </ion-avatar>-->\n            <h2 text-wrap>{{c.name}}</h2>\n            <p>{{c.nacionality}}</p>\n            <ion-note item-end>{{c.jersey}}</ion-note>\n          </ion-item>\n        </ion-item-group>\n\n        <ion-item-group>\n          <ion-item-divider color="alterno"><b>Infielders</b></ion-item-divider>\n          <ion-item *ngFor="let p of team.Infield" class="background" (click)="openPlayer(p.position,p.milb_id)">\n            <!--<ion-avatar item-start>\n              <img src="assets/img/MARCO_CARRILLO.jpg">\n            </ion-avatar>-->\n            <h2 text-wrap>{{p.name}}</h2>\n            <p>{{p.nacionality}}</p>\n            <ion-note item-end>{{p.jersey}}</ion-note>\n          </ion-item>\n        </ion-item-group>\n\n        <ion-item-group>\n          <ion-item-divider color="alterno"><b>Outfielders</b></ion-item-divider>\n          <ion-item *ngFor="let p of team.Outfield" class="background" (click)="openPlayer(p.position,p.milb_id)">\n            <!--<ion-avatar item-start>\n              <img src="assets/img/MARCO_CARRILLO.jpg">\n            </ion-avatar>-->\n            <h2 text-wrap>{{p.name}}</h2>\n            <p>{{p.nacionality}}</p>\n            <ion-note item-end>{{p.jersey}}</ion-note>\n          </ion-item>\n        </ion-item-group>\n\n      </ion-list>\n\n\n      <ion-list *ngSwitchCase="\'cuerpotecnico\'">\n        <ion-item *ngFor="let p of team.Support" class="background" (click)="openPlayer(p.position,p.customer_id)">\n        <!-- <ion-avatar item-start>\n            <img src="assets/img/MARCO_CARRILLO.jpg">\n          </ion-avatar>-->\n          <h2 text-wrap>{{p.name}}</h2>\n          <p>{{p.coaching}}</p>\n          <ion-note item-end>{{p.jersey}}</ion-note>\n        </ion-item>\n      </ion-list>\n\n    </div>\n  </div>\n\n  <a href="mailto:soporte@somos.mx?Subject=Mensaje%20desde%20LMP%20app">\n      <button ion-button full color="default" class="alterno">\n          <ion-icon name="mail" class="credits"></ion-icon> Desarrollado por: SOMOS Multimedia® \n      </button>\n  </a>\n\n</ion-content>\n<ion-footer class="alterno"><br/><br/><br/></ion-footer>\n'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/lmp2018/src/pages/roster/roster.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_lmp_lmp__["a" /* LmpProvider */]])
], RosterPage);

//# sourceMappingURL=roster.js.map

/***/ })

});
//# sourceMappingURL=11.main.js.map