webpackJsonp([21],{

/***/ 384:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CalendarPageModule", function() { return CalendarPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(59);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__calendar__ = __webpack_require__(411);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_angular_calendar__ = __webpack_require__(237);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var CalendarPageModule = (function () {
    function CalendarPageModule() {
    }
    return CalendarPageModule;
}());
CalendarPageModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["a" /* NgModule */])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__calendar__["a" /* CalendarPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__calendar__["a" /* CalendarPage */]),
            __WEBPACK_IMPORTED_MODULE_3_angular_calendar__["a" /* CalendarModule */].forRoot()
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__calendar__["a" /* CalendarPage */]
        ]
    })
], CalendarPageModule);

//# sourceMappingURL=calendar.module.js.map

/***/ }),

/***/ 411:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CalendarPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(59);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_lmp_lmp__ = __webpack_require__(116);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_in_app_browser__ = __webpack_require__(236);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var CalendarPage = (function () {
    function CalendarPage(navCtrl, navParams, lmpProvider, iab) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.lmpProvider = lmpProvider;
        this.iab = iab;
        this.const = 0;
        this.games = [];
        this.locale = 'es';
        this.days_label = [
            'Dom', 'Lun', 'Mar', 'Mie', 'Jue', 'Vie', 'Sab'
        ];
        this.view = 'day';
        this.spinner = false;
        this.day = 0;
        this.viewDate = new Date();
        this.viewDateChange = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["E" /* EventEmitter */]();
        this.day = this.viewDate.getDate();
        this.sendDate(this.viewDate, this.viewDate);
    }
    CalendarPage.prototype.formatDate = function (date) {
        var month = date.getMonth() + 1;
        if (month < 10) {
            month = '0' + month;
        }
        return month;
    };
    CalendarPage.prototype.sendDate = function (year, month) {
        var _this = this;
        this.day = this.viewDate.getDate();
        this.spinner = false;
        this.games = [];
        this.lmpProvider.getGames(year.getFullYear(), this.formatDate(month)).subscribe(function (games) {
            if (games) {
                for (var index in games['response']['games']) {
                    var res = index.split(" ");
                    if (_this.day == parseInt(res[1])) {
                        for (var index2 in games.response.games[index]) {
                            var game = games.response.games[index][index2];
                            var image_away_array = game.away_logo.split("logo-team/");
                            var image_away = image_away_array[1].split(".")[0];
                            var image_home_array = game.home_logo.split("logo-team/");
                            var image_home = image_home_array[1].split(".")[0];
                            games.response.games[index][index2]['away_logo'] = _this.getImageById(image_away);
                            games.response.games[index][index2]['home_logo'] = _this.getImageById(image_home);
                        }
                        _this.games = games.response.games[index];
                    }
                }
            }
            else {
                games = [];
            }
        });
        this.spinner = true;
    };
    CalendarPage.prototype.openVideo = function (link) {
        console.log(link);
        this.iab.create(link, '_system', 'location=yes');
    };
    CalendarPage.prototype.getImageById = function (id) {
        var result;
        switch (id) {
            case 'mxc':
                result = "aguilas";
                break;
            case 'nav':
                result = "mayos";
                break;
            case 'obr':
                result = "yaquis";
                break;
            case 'jal':
                result = "charros";
                break;
            case 'maz':
                result = "venados";
                break;
            case 'her':
                result = "naranjeros";
                break;
            case 'moc':
                result = "caneros";
                break;
            case 'cul':
                result = "tomateros";
                break;
            default:
                result = "yaquis";
                break;
        }
        return result;
    };
    CalendarPage.prototype.doRefresh = function (refresher) {
        console.log('Begin async operation', refresher);
        setTimeout(function () {
            console.log('Async operation has ended');
            refresher.complete();
        }, 2000);
    };
    return CalendarPage;
}());
__decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["N" /* Input */])(),
    __metadata("design:type", Date)
], CalendarPage.prototype, "viewDate", void 0);
__decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_4" /* Output */])(),
    __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["E" /* EventEmitter */])
], CalendarPage.prototype, "viewDateChange", void 0);
CalendarPage = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_6" /* Component */])({
        selector: 'page-calendar',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/lmp2018/src/pages/calendar/calendar.html"*/'<ion-header>\n  <ion-navbar color="alterno">\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>Calendario</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content class="background">\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n      <ion-refresher-content\n          pullingIcon="arrow-dropright-circle"\n          pulling\n          pullingText="Pull to refresh"\n          refreshingSpinner="circles"\n          refreshingText="Actualizando...">\n      </ion-refresher-content>\n  </ion-refresher>\n    \n  <ion-spinner name="circles" color="light" *ngIf="!spinner"></ion-spinner>\n  <div *ngIf="spinner">\n    <ion-card>\n      <ion-item text-center class="nopadding" color="danger">\n        <ion-icon name="arrow-dropleft-circle" item-start mwlCalendarPreviousView [view]="view" [(viewDate)]="viewDate" (viewDateChange)="viewDateChange.next(viewDate)" (click)="sendDate(viewDate, viewDate)"></ion-icon>\n        <h2><b>{{ viewDate | calendarDate:(view + \'ViewTitle\'):locale }}</b></h2>\n        <ion-icon name="arrow-dropright-circle" item-end mwlCalendarNextView [view]="view" [(viewDate)]="viewDate" (viewDateChange)="viewDateChange.next(viewDate)" (click)="sendDate(viewDate, viewDate)"></ion-icon>\n      </ion-item>\n    </ion-card>\n    \n    <ion-card *ngFor="let g of games" class="background">\n      <ion-card-header class="alterno">\n        <br/>\n      </ion-card-header>\n      <ion-card-content >\n        <ion-row>\n          <ion-col center text-center>\n            <ion-avatar>\n              <img src="assets/img/{{g.away_logo}}.png">\n            </ion-avatar>\n          </ion-col>\n          <ion-col class="nopadding">\n            <ion-item text-center class="background">\n              <h2><b>VS</b></h2>\n            </ion-item>\n          </ion-col>\n          <ion-col>\n            <ion-avatar item-left>\n              <img src="assets/img/{{g.home_logo}}.png">\n            </ion-avatar>\n          </ion-col>\n        </ion-row>\n        <hr />\n        <ion-row>\n          <ion-col col-6 class="nopadding" center text-center>\n              <p style="color:white;">{{g.startTime}}</p>\n          </ion-col>\n            <!--\n          <ion-col>\n            \n            <table class="background itemtele">\n\n              <tbody>\n                <tr>\n                  <td>\n                    <h2>Televisora: </h2>\n                  </td>\n                  <td>\n                    <img class="televisora" src="assets/img/mega.png">\n                  </td>\n                  <td>\n                    <img class="televisora" src="assets/img/mega.png">\n                  </td>\n                </tr>\n              </tbody>\n            </table>\n            \n          </ion-col>-->\n          <ion-col col-4 class="nopadding">\n            <button (click)="openVideo(g.hash)" ion-button small color="danger" round>ver en línea</button>\n          </ion-col>\n        </ion-row>\n      </ion-card-content>\n    </ion-card>\n    <ion-row>\n      <ion-col col-8 offset-2>\n        <ion-card *ngIf="games?.length <= 0" class="alterno no-games" text-center><h2>No hay juegos este día</h2></ion-card>\n      </ion-col>\n    </ion-row>\n    \n  </div>\n\n  <a href="mailto:soporte@somos.mx?Subject=Mensaje%20desde%20LMP%20app">\n      <button ion-button full color="default" class="alterno">\n          <ion-icon name="mail" class="credits"></ion-icon> Desarrollado por: SOMOS Multimedia® \n      </button>\n  </a>\n\n</ion-content>\n<ion-footer class="alterno">\n</ion-footer>'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/lmp2018/src/pages/calendar/calendar.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_lmp_lmp__["a" /* LmpProvider */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_in_app_browser__["a" /* InAppBrowser */]])
], CalendarPage);

//# sourceMappingURL=calendar.js.map

/***/ })

});
//# sourceMappingURL=21.main.js.map