webpackJsonp([5],{

/***/ 404:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TeamsPageModule", function() { return TeamsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(59);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__teams__ = __webpack_require__(430);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TeamsPageModule = (function () {
    function TeamsPageModule() {
    }
    return TeamsPageModule;
}());
TeamsPageModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["a" /* NgModule */])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__teams__["a" /* TeamsPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__teams__["a" /* TeamsPage */]),
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__teams__["a" /* TeamsPage */]
        ]
    })
], TeamsPageModule);

//# sourceMappingURL=teams.module.js.map

/***/ }),

/***/ 430:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TeamsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(59);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_lmp_lmp__ = __webpack_require__(116);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var TeamsPage = (function () {
    function TeamsPage(navCtrl, navParams, lmpProvider) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.lmpProvider = lmpProvider;
        this.teams = [];
        this.spinner = false;
        lmpProvider.getTeams().subscribe(function (teams) {
            console.log(teams);
            _this.teams = teams["response"];
            _this.spinner = true;
        });
    }
    TeamsPage.prototype.openTeam = function (team) {
        console.log(team.id);
        this.navCtrl.push('TeamPage', { team: team, 'id': team.id });
    };
    TeamsPage.prototype.doRefresh = function (refresher) {
        console.log('Begin async operation', refresher);
        setTimeout(function () {
            console.log('Async operation has ended');
            refresher.complete();
        }, 2000);
    };
    return TeamsPage;
}());
TeamsPage = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_6" /* Component */])({
        selector: 'page-teams',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/lmp2018/src/pages/teams/teams.html"*/'<ion-header>\n  <ion-navbar color="alterno">\n     <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>Equipos</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content class="background" >\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n      <ion-refresher-content\n          pullingIcon="arrow-dropright-circle"\n          pulling\n          pullingText="Pull to refresh"\n          refreshingSpinner="circles"\n          refreshingText="Actualizando...">\n      </ion-refresher-content>\n  </ion-refresher>\n\n  <ion-spinner name="circles" color="light" *ngIf="!spinner"></ion-spinner>\n  <div *ngIf="spinner">\n    <ion-list no-lines>\n      <div *ngFor="let t of teams; let i= index;">\n        <div *ngIf="i%2==0">\n          <ion-item class="background" (click)="openTeam(t)">\n            <ion-avatar item-start>\n              <img src="assets/img/{{t.id}}.png">\n            </ion-avatar>\n            <h2 text-wrap><b>{{t.text}}</b></h2>\n            \n          </ion-item>\n        </div>\n\n        <div *ngIf="i%2!=0">\n          <ion-item class="alterno" (click)="openTeam(t)"> \n            <ion-avatar item-left>\n              <img src="assets/img/{{t.id}}.png">\n            </ion-avatar>\n            <h2 text-wrap><b>{{t.text}}</b></h2>\n          \n          </ion-item>\n        </div>\n      </div>\n    </ion-list>\n  </div>\n\n  <a href="mailto:soporte@somos.mx?Subject=Mensaje%20desde%20LMP%20app">\n      <button ion-button full color="default" class="alterno">\n          <ion-icon name="mail" class="credits"></ion-icon> Desarrollado por: SOMOS Multimedia® \n      </button>\n  </a>\n  \n</ion-content>\n <ion-footer class="alterno"><br/><br/><br/></ion-footer>\n \n\n'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/lmp2018/src/pages/teams/teams.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_lmp_lmp__["a" /* LmpProvider */]])
], TeamsPage);

//# sourceMappingURL=teams.js.map

/***/ })

});
//# sourceMappingURL=5.main.js.map